My Project: openb3dlib.mod/openb3d/src/stb_image.h File Reference

My Project

Classes | Macros | Typedefs | Enumerations | Functions
stb_image.h File Reference
`#include <stdio.h>`

Go to the source code of this file.

## Classes

struct | stbi_io_callbacks

## Macros

#define | STBI_VERSION 1

## Typedefs

typedef unsigned char | stbi_uc

## Enumerations

enum | { STBI_default = 0, STBI_grey = 1, STBI_grey_alpha = 2, STBI_rgb = 3, STBI_rgb_alpha = 4 }

## Functions

stbi_uc * | stbi_load_from_memory (stbi_uc const *buffer, int len, int *x, int *y, int *comp, int req_comp)
| STBI_NO_STDIO. More...
stbi_uc * | stbi_load (char const *filename, int *x, int *y, int *comp, int req_comp)
stbi_uc * | stbi_load_from_file (FILE *f, int *x, int *y, int *comp, int req_comp)
stbi_uc * | stbi_load_from_callbacks (stbi_io_callbacks const *clbk, void *user, int *x, int *y, int *comp, int req_comp)
float * | stbi_loadf_from_memory (stbi_uc const *buffer, int len, int *x, int *y, int *comp, int req_comp)
float * | stbi_loadf (char const *filename, int *x, int *y, int *comp, int req_comp)
float * | stbi_loadf_from_file (FILE *f, int *x, int *y, int *comp, int req_comp)
float * | stbi_loadf_from_callbacks (stbi_io_callbacks const *clbk, void *user, int *x, int *y, int *comp, int req_comp)
void | stbi_hdr_to_ldr_gamma (float gamma)
void | stbi_hdr_to_ldr_scale (float scale)
void | stbi_ldr_to_hdr_gamma (float gamma)
void | stbi_ldr_to_hdr_scale (float scale)
int | stbi_is_hdr (char const *filename)
int | stbi_is_hdr_from_file (FILE *f)
int | stbi_is_hdr_from_callbacks (stbi_io_callbacks const *clbk, void *user)
int | stbi_is_hdr_from_memory (stbi_uc const *buffer, int len)
const char * | stbi_failure_reason (void)
void | stbi_image_free (void *retval_from_stbi_load)
int | stbi_info_from_memory (stbi_uc const *buffer, int len, int *x, int *y, int *comp)
int | stbi_info_from_callbacks (stbi_io_callbacks const *clbk, void *user, int *x, int *y, int *comp)
int | stbi_info (char const *filename, int *x, int *y, int *comp)
int | stbi_info_from_file (FILE *f, int *x, int *y, int *comp)
void | stbi_set_unpremultiply_on_load (int flag_true_if_should_unpremultiply)
void | stbi_convert_iphone_png_to_rgb (int flag_true_if_should_convert)
char * | stbi_zlib_decode_malloc_guesssize (const char *buffer, int len, int initial_size, int *outlen)
char * | stbi_zlib_decode_malloc (const char *buffer, int len, int *outlen)
int | stbi_zlib_decode_buffer (char *obuffer, int olen, const char *ibuffer, int ilen)
char * | stbi_zlib_decode_noheader_malloc (const char *buffer, int len, int *outlen)
int | stbi_zlib_decode_noheader_buffer (char *obuffer, int olen, const char *ibuffer, int ilen)

## Macro Definition Documentation

## § STBI_VERSION

#define STBI_VERSION 1

## Typedef Documentation

## § stbi_uc

typedef unsigned char stbi_uc

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
STBI_default |
STBI_grey |
STBI_grey_alpha |
STBI_rgb |
STBI_rgb_alpha |

## Function Documentation

## § stbi_convert_iphone_png_to_rgb()

void stbi_convert_iphone_png_to_rgb | ( | int | flag_true_if_should_convert | ) |

## § stbi_failure_reason()

const char* stbi_failure_reason | ( | void |  | ) |

## § stbi_hdr_to_ldr_gamma()

void stbi_hdr_to_ldr_gamma | ( | float | gamma | ) |

## § stbi_hdr_to_ldr_scale()

void stbi_hdr_to_ldr_scale | ( | float | scale | ) |

## § stbi_image_free()

void stbi_image_free | ( | void * | retval_from_stbi_load | ) |

## § stbi_info()

int stbi_info | ( | char const * | filename,
|  | int * | x,
|  | int * | y,
|  | int * | comp
| ) |  |

## § stbi_info_from_callbacks()

int stbi_info_from_callbacks | ( | stbi_io_callbacks const * | clbk,
|  | void * | user,
|  | int * | x,
|  | int * | y,
|  | int * | comp
| ) |  |

## § stbi_info_from_file()

int stbi_info_from_file | ( | FILE * | f,
|  | int * | x,
|  | int * | y,
|  | int * | comp
| ) |  |

## § stbi_info_from_memory()

int stbi_info_from_memory | ( | stbi_uc const * | buffer,
|  | int | len,
|  | int * | x,
|  | int * | y,
|  | int * | comp
| ) |  |

## § stbi_is_hdr()

int stbi_is_hdr | ( | char const * | filename | ) |

## § stbi_is_hdr_from_callbacks()

int stbi_is_hdr_from_callbacks | ( | stbi_io_callbacks const * | clbk,
|  | void * | user
| ) |  |

## § stbi_is_hdr_from_file()

int stbi_is_hdr_from_file | ( | FILE * | f | ) |

## § stbi_is_hdr_from_memory()

int stbi_is_hdr_from_memory | ( | stbi_uc const * | buffer,
|  | int | len
| ) |  |

## § stbi_ldr_to_hdr_gamma()

void stbi_ldr_to_hdr_gamma | ( | float | gamma | ) |

## § stbi_ldr_to_hdr_scale()

void stbi_ldr_to_hdr_scale | ( | float | scale | ) |

## § stbi_load()

stbi_uc* stbi_load | ( | char const * | filename,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_load_from_callbacks()

stbi_uc* stbi_load_from_callbacks | ( | stbi_io_callbacks const * | clbk,
|  | void * | user,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_load_from_file()

stbi_uc* stbi_load_from_file | ( | FILE * | f,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_load_from_memory()

stbi_uc* stbi_load_from_memory | ( | stbi_uc const * | buffer,
|  | int | len,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

STBI_NO_STDIO.

## § stbi_loadf()

float* stbi_loadf | ( | char const * | filename,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_loadf_from_callbacks()

float* stbi_loadf_from_callbacks | ( | stbi_io_callbacks const * | clbk,
|  | void * | user,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_loadf_from_file()

float* stbi_loadf_from_file | ( | FILE * | f,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_loadf_from_memory()

float* stbi_loadf_from_memory | ( | stbi_uc const * | buffer,
|  | int | len,
|  | int * | x,
|  | int * | y,
|  | int * | comp,
|  | int | req_comp
| ) |  |

## § stbi_set_unpremultiply_on_load()

void stbi_set_unpremultiply_on_load | ( | int | flag_true_if_should_unpremultiply | ) |

## § stbi_zlib_decode_buffer()

int stbi_zlib_decode_buffer | ( | char * | obuffer,
|  | int | olen,
|  | const char * | ibuffer,
|  | int | ilen
| ) |  |

## § stbi_zlib_decode_malloc()

char* stbi_zlib_decode_malloc | ( | const char * | buffer,
|  | int | len,
|  | int * | outlen
| ) |  |

## § stbi_zlib_decode_malloc_guesssize()

char* stbi_zlib_decode_malloc_guesssize | ( | const char * | buffer,
|  | int | len,
|  | int | initial_size,
|  | int * | outlen
| ) |  |

## § stbi_zlib_decode_noheader_buffer()

int stbi_zlib_decode_noheader_buffer | ( | char * | obuffer,
|  | int | olen,
|  | const char * | ibuffer,
|  | int | ilen
| ) |  |

## § stbi_zlib_decode_noheader_malloc()

char* stbi_zlib_decode_noheader_malloc | ( | const char * | buffer,
|  | int | len,
|  | int * | outlen
| ) |  |